class Button {
  String title;
  String icon;
  String requestUrl;
  String content;
  bool confirm;

  Button({this.title, this.icon, this.requestUrl, this.content, this.confirm});

  Button.fromJson(Map<String, dynamic> json) {
    title = json['title'];
    icon = json['icon'];
    requestUrl = json['requestUrl'];
    content = json['content'];
    confirm = json['confirm'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title'] = this.title;
    data['icon'] = this.icon;
    data['requestUrl'] = this.requestUrl;
    data['content'] = this.content;
    data['confirm'] = this.confirm;
    return data;
  }
}
